=== debian/changelog ===
mongrel2 (1.12.2-2) unstable; urgency=medium

  * Fix crash when reading websocket packet after deliver task has stopped

 -- Jan Niehusmann <jan@debian.org>  Wed, 15 Jan 2020 20:29:16 +0100

mongrel2 (1.12.2-1) unstable; urgency=medium

  * Update to upstream release 1.12.2:
    Workaround to prevent crashes on large files
    Disable some compiler warnings

 -- Jan Niehusmann <jan@debian.org>  Tue, 23 Jul 2019 00:07:09 +0200

mongrel2 (1.12.0-2) unstable; urgency=medium

  * Build with authbind support
  * Set Standards-Version: 4.3.0

 -- Jan Niehusmann <jan@debian.org>  Tue, 19 Feb 2019 09:21:39 +0100
