=== debian/control ===
Source: mongrel2
Section: httpd
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 10.0.0), libzmq3-dev (>= 2.1), libsqlite3-dev (>= 3.0), sqlite3 (>= 3.0), libmbedtls-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 4.3.0
Homepage: http://mongrel2.org/
Vcs-Git: https://salsa.debian.org/jan/mongrel2.git
Vcs-Browser: https://salsa.debian.org/jan/mongrel2

Package: mongrel2-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: programming language agnostic web server (binaries)
 Mongrel2 is an application, programming language, and network
 architecture agnostic web server that focuses on web applications using
 modern browser technologies.
 .
 Mongrel2 supports 17 languages and platforms, HTTP, Flash sockets,
 WebSockets, Long Polling, and many ways to deploy and hack on it.
 .
 This package includes the server binaries but doesn't contain all the
 infrastructure needed to setup a standalone web server.


Package: mongrel2-run
Architecture: all
Depends: mongrel2-core (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, runit, adduser
Description: programming language agnostic web server
 Mongrel2 is an application, programming language, and network
 architecture agnostic web server that focuses on web applications using
 modern browser technologies.
 .
 Mongrel2 supports 17 languages and platforms, HTTP, Flash sockets,
 WebSockets, Long Polling, and many ways to deploy and hack on it.
 .
 This package includes the infrastructure needed to setup a standalone
 web server. Starting mongrel2 at boot is done using runit.
