=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -std=gnu89 -DAUTHBIND_HELPER=\"/usr/lib/authbind/helper\"

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR="$$(pwd)/debian/tmp" PREFIX=/usr install

override_dh_installexamples-arch:
	dh_installexamples
	find "$$(pwd)/debian/mongrel2-core" -name "*.css" -perm /a+x -exec chmod -x "{}" \;
